# Generated by Django 3.0.8 on 2020-07-09 14:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Issue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField()),
                ('date_time', models.DateTimeField(auto_now_add=True)),
                ('title', models.CharField(max_length=200)),
                ('priority', models.IntegerField(blank=True, choices=[(0, 'Information'), (1, 'Warning'), (2, 'Error'), (3, 'Critical')], null=True)),
                ('status', models.IntegerField(choices=[(0, 'Pending'), (1, 'In progress'), (2, 'Suspend'), (3, 'Completed')])),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
